Home Foros Foro dudas Foro de Java No me acepta que use varibles de tipo String con Swich

No me acepta que use varibles de tipo String con Swich

  • Este debate tiene 2 respuestas, 2 mensajes y ha sido actualizado por última vez el hace 6 meses por Victor.
Viendo 3 entradas - de la 1 a la 3 (de un total de 3)
  • Autor
    Entradas
  • #16696

    Victor
    Participante

    Al entrar una variable de tipo String, para ser evaluada por la instrucción Swich, me marca un error, en el que me dice que no se puede usar estos tipos de variables «for source level below 1.7». ¿Que tengo mal configurado en Eclipse?

    #16714

    FrankMegia
    Participante

    Hola Victor:

    Ese problema te viene dado por la versión del compilador. Sólo desde la versión 1.7 se puede usar String en un switch.

    Un posible solución sería: click derecho sobre tu proyecto-> properties->Java compiler y ahí mirar si donde dice «Compiler compliance level: » tienes seleccionada la versión 1.7 como mínimo.

    Espero que te sirva. Un saludo.

    #16724

    Victor
    Participante

    Gracias Frank, ahora funciona correctamente..

Viendo 3 entradas - de la 1 a la 3 (de un total de 3)
  • Debes estar registrado para responder a este debate.